import { Stack } from "expo-router";
import { LIGTHT_THEME } from "../../src/constants/theme";
import { Button } from "react-native";
import { ShareButton } from "../../src/travel_history/components/share_button";

export default function Layout() {
  return (
    <Stack
      screenOptions={{
        headerStyle: {
          backgroundColor: LIGTHT_THEME.color.primary,
        },
        headerTitleStyle: {
          color: LIGTHT_THEME.color.white,
        },
        headerTitleAlign: "center",
        headerTintColor: LIGTHT_THEME.color.white,
      }}
    >
      <Stack.Screen name="details/[id]" options={{
        title: "Travel Details",
        headerRight: () => <ShareButton onPress={() => {}}/>
      }}/>
    </Stack>
  );
}
