import { TouchableOpacity } from "react-native-gesture-handler";
import { Feather } from '@expo/vector-icons';

interface ShareButtonProps {
    onPress: () => void;
}

export const ShareButton = ({ onPress } : ShareButtonProps) => {
    return (
        <TouchableOpacity onPress={onPress}>
            <Feather name="share-2" size={24} color="white" />
        </TouchableOpacity>
    );
};